Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025366
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2013-12-18 13:222014-01-22 17:30
ReporteradrianromeroView Statuspublic 
Assigned Toadrianromero 
PrioritynormalResolutionfixedFixed in VersionRMP30
StatusclosedFix in branchFixed in SCM revision7db37a8776f2
ProjectionnoneETAnoneTarget VersionRMP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025366: Count cash step in Cash Up process must be configurable

DescriptionThe count cash step in cash up that allows to count the amount of money in the drawer with the help of currency denominations must be configurable. i.e. There must be an option in the payment type method to indicate whether to show this step or not.
Steps To ReproduceIn description
Proposed SolutionAdd a new option in Payment type method tab "Count cash" to indicate whether to show or not this step.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062778)
hgbot (developer)
2013-12-18 13:31

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7db37a8776f2327c3c909f1136d7ba15893eb4f8
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Dec 18 13:28:35 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^]

Fixes issue 0025366: Count cash step in Cash Up process must be configurable
A new option has been added to Payment Method tab to show or not the cash count step

---
M src-db/database/model/tables/OBPOS_APP_PAYMENT_TYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-steps.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcountcash.js
---
(0062797)
hgbot (developer)
2013-12-18 17:31

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 41fc0dc26414db5e2937ef3c636e50ded057ecbf
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Dec 18 17:30:39 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/41fc0dc26414db5e2937ef3c636e50ded057ecbf [^]

Issue 0025366: Count cash step in Cash Up process must be configurable

---
M web/org.openbravo.retail.posterminal/js/closecash/view/closekeyboard.js
---
(0062812)
hgbot (developer)
2013-12-19 11:20

Repository: erp/pmods/org.openbravo.retail.posterminal-warehouseselector
Changeset: 7db37a8776f2327c3c909f1136d7ba15893eb4f8
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Dec 18 13:28:35 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^]

Fixes issue 0025366: Count cash step in Cash Up process must be configurable
A new option has been added to Payment Method tab to show or not the cash count step

---
M src-db/database/model/tables/OBPOS_APP_PAYMENT_TYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-steps.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcountcash.js
---
(0062814)
hgbot (developer)
2013-12-19 11:20

Repository: erp/pmods/org.openbravo.retail.posterminal-warehouseselector
Changeset: 41fc0dc26414db5e2937ef3c636e50ded057ecbf
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Dec 18 17:30:39 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/41fc0dc26414db5e2937ef3c636e50ded057ecbf [^]

Issue 0025366: Count cash step in Cash Up process must be configurable

---
M web/org.openbravo.retail.posterminal/js/closecash/view/closekeyboard.js
---
(0062873)
migueldejuana (developer)
2013-12-19 16:09

tested and reviewed in 3081:41fc0dc26414
(0062947)
hgbot (developer)
2013-12-19 19:57

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 7db37a8776f2327c3c909f1136d7ba15893eb4f8
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Dec 18 13:28:35 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^]

Fixes issue 0025366: Count cash step in Cash Up process must be configurable
A new option has been added to Payment Method tab to show or not the cash count step

---
M src-db/database/model/tables/OBPOS_APP_PAYMENT_TYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-steps.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcountcash.js
---
(0062949)
hgbot (developer)
2013-12-19 19:57

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 41fc0dc26414db5e2937ef3c636e50ded057ecbf
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Dec 18 17:30:39 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/41fc0dc26414db5e2937ef3c636e50ded057ecbf [^]

Issue 0025366: Count cash step in Cash Up process must be configurable

---
M web/org.openbravo.retail.posterminal/js/closecash/view/closekeyboard.js
---
(0062997)
guilleaer (developer)
2013-12-20 15:06

reclosed
(0063185)
hgbot (developer)
2014-01-02 12:50

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 7db37a8776f2327c3c909f1136d7ba15893eb4f8
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Dec 18 13:28:35 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^]

Fixes issue 0025366: Count cash step in Cash Up process must be configurable
A new option has been added to Payment Method tab to show or not the cash count step

---
M src-db/database/model/tables/OBPOS_APP_PAYMENT_TYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-steps.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcountcash.js
---
(0063187)
hgbot (developer)
2014-01-02 12:50

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 41fc0dc26414db5e2937ef3c636e50ded057ecbf
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Dec 18 17:30:39 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/41fc0dc26414db5e2937ef3c636e50ded057ecbf [^]

Issue 0025366: Count cash step in Cash Up process must be configurable

---
M web/org.openbravo.retail.posterminal/js/closecash/view/closekeyboard.js
---
(0063246)
hgbot (developer)
2014-01-07 15:39

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 7db37a8776f2327c3c909f1136d7ba15893eb4f8
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Dec 18 13:28:35 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^]

Fixes issue 0025366: Count cash step in Cash Up process must be configurable
A new option has been added to Payment Method tab to show or not the cash count step

---
M src-db/database/model/tables/OBPOS_APP_PAYMENT_TYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-steps.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcountcash.js
---
(0063248)
hgbot (developer)
2014-01-07 15:39

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 41fc0dc26414db5e2937ef3c636e50ded057ecbf
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Dec 18 17:30:39 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/41fc0dc26414db5e2937ef3c636e50ded057ecbf [^]

Issue 0025366: Count cash step in Cash Up process must be configurable

---
M web/org.openbravo.retail.posterminal/js/closecash/view/closekeyboard.js
---
(0063612)
guilleaer (developer)
2014-01-22 17:30

reclosing issues

- Issue History
Date Modified Username Field Change
2013-12-18 13:22 adrianromero New Issue
2013-12-18 13:22 adrianromero Assigned To => marvintm
2013-12-18 13:22 adrianromero Triggers an Emergency Pack => No
2013-12-18 13:31 hgbot Checkin
2013-12-18 13:31 hgbot Note Added: 0062778
2013-12-18 13:31 hgbot Status new => resolved
2013-12-18 13:31 hgbot Resolution open => fixed
2013-12-18 13:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^]
2013-12-18 13:33 adrianromero Review Assigned To => migueldejuana
2013-12-18 13:33 adrianromero Assigned To marvintm => adrianromero
2013-12-18 17:31 hgbot Checkin
2013-12-18 17:31 hgbot Note Added: 0062797
2013-12-19 11:20 hgbot Checkin
2013-12-19 11:20 hgbot Note Added: 0062812
2013-12-19 11:20 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^]
2013-12-19 11:20 hgbot Checkin
2013-12-19 11:20 hgbot Note Added: 0062814
2013-12-19 16:09 migueldejuana Note Added: 0062873
2013-12-19 16:09 migueldejuana Status resolved => closed
2013-12-19 16:09 migueldejuana Fixed in Version => RMP30
2013-12-19 19:57 hgbot Checkin
2013-12-19 19:57 hgbot Note Added: 0062947
2013-12-19 19:57 hgbot Status closed => resolved
2013-12-19 19:57 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^]
2013-12-19 19:57 hgbot Checkin
2013-12-19 19:57 hgbot Note Added: 0062949
2013-12-20 15:06 guilleaer Note Added: 0062997
2013-12-20 15:06 guilleaer Status resolved => closed
2014-01-02 12:50 hgbot Checkin
2014-01-02 12:50 hgbot Note Added: 0063185
2014-01-02 12:50 hgbot Status closed => resolved
2014-01-02 12:50 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^]
2014-01-02 12:50 hgbot Checkin
2014-01-02 12:50 hgbot Note Added: 0063187
2014-01-07 15:39 hgbot Checkin
2014-01-07 15:39 hgbot Note Added: 0063246
2014-01-07 15:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/7db37a8776f2327c3c909f1136d7ba15893eb4f8 [^]
2014-01-07 15:39 hgbot Checkin
2014-01-07 15:39 hgbot Note Added: 0063248
2014-01-22 17:30 guilleaer Note Added: 0063612
2014-01-22 17:30 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker